/* fichier .c
 * Auteur:  Eric Bachard  / mercredi 25 mai 2016, 09:02:49 (UTC+0200)
 * Ce document est sous Licence : GPL v2
 * voir : http://www.gnu.org/licenses/gpl-2.0.html
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nouveau_jeu.h"
#include "saisie_chaine.h"

int main(void)
{
  FILE * fichier = NULL;

  /* on remplit chemin de 0 */
  memset(chemin, '\0', sizeof(chemin));

  /* ensuite on écrit ../ressources/ dans chemin */
  strcpy(chemin, RESSOURCES_PATH);

#ifdef DEBUG
  /* vérification */
  fprintf( stdout, "chemin contient %s : \n", chemin);
#endif
  /* on saisit le nom du fichier */
  saisie_chaine_de_caracteres(FALSE,FALSE);
  strcpy(nom_fichier_sauvegarde, g_buf);

  /* char *strcat(char *dest, const char *src);
     La fonction strcat() ajoute la chaîne src à la fin de la chaîne dest 
     en écrasant l'octet nul (« \0 »)
     final à la fin de dest, puis en ajoutant un nouvel octet nul final
   */

  strcat( chemin, nom_fichier_sauvegarde);
#ifdef DEBUG
  fprintf( stdout, "chemin contient maintenant %s : \n", chemin);
#endif

  /* on ouvre le nom du fichier complet monfichier.txt existe dans le répertoire ../ressources/ */
  fichier = fopen(chemin, "w");

#ifdef DEBUG
  if (fichier != NULL)
    fprintf(stdout, "fichier correctement créé (%p) \n",(void*) fichier);
#endif
  /* FIXME : ajouter un test, pour voir si le fichier existe, et contient quelque chose, etc */

  /* on crée le fichier, et on écrit son nom (relatif) complet dedans */
  fprintf(fichier,"Nom complet : %s\n", chemin);
  fclose(fichier);

  return EXIT_SUCCESS;
}
